> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Refund

GET https://api.bigcommerce.com/stores/{store_hash}/v3/orders/payment_actions/refunds/{refund_id}

Returns a refund by refund ID.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/order-operations/payment-actions/get-order-refund

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Order Transactions | read and modify `transactions` and `payment_methods` | `store_v2_transactions` | | Order Transactions | read `transactions` and `payment_methods` | `store_v2_transactions_read_only` | | Orders | read and modify `payment_methods` |`store_v2_orders`| | Orders | read `payment_methods` |`store_v2_orders_read_only`| ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `refund_id` (integer, required) — Refund ID.
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

## Response

### 200

The ID of the created refund.

- `data` (RefundIdGetData, optional)
- `meta` (metaEmpty_Full, optional) — Response metadata.

## Types

### RefundIdGetData

- `id` (integer, optional) — Refund ID for the returned refund.
- `order_id` (integer, optional) — Order ID associated with the refund.
- `user_id` (integer, optional) — Reference to the user ID who created the refund. This is automatically populated by BigCommerce.
- `created` (datetime, optional) — Timestamp of when the refund was created.
- `reason` (string, optional) — Reason for refund.
- `total_amount` (double, optional) — A non-negative 2 decimal place rounded value that represents the amount that can be refunded with the correct payment provider(s).
- `total_tax` (double, optional) — Total tax amount refunded back to the shopper. This can be a negative amount indicating we have collected tax by refunding less to the customer.
- `uses_merchant_override_values` (boolean, optional) — Whether refund amount and tax are provided explicitly by merchant override.
- `payments` (list of RefundIdGetDataPaymentsItems, optional)
- `items` (list of RefundIdGetDataItemsItems, optional) — Array of items refunded. In cases when `tax_refund_adjustment` was used to create the refund, this array will be empty.

### metaEmpty_Full

Response metadata.

### RefundIdGetDataPaymentsItems

- `id` (integer, optional) — Reference to refund payment ID.
- `provider_id` (string, optional) — Reference to payment provider. example: storecredit
- `amount` (double, optional) — A non-negative two decimal place rounded value represents the amount that can be charged/refunded with payment providers.
- `offline` (boolean, optional) — Indicates whether the payment was offline.
- `is_declined` (boolean, optional) — Indicates if this payment has been declined by the payment provider.
- `declined_message` (string, optional) — Message indicates why the payment was declined.

### RefundIdGetDataItemsItems

- `item_type` (enum, optional) — Type of item that was refunded.
  - Allowed values: `PRODUCT`, `GIFT_WRAPPING`, `SHIPPING`, `HANDLING`, `ORDER`, `FEE`
- `item_id` (integer, optional) — `order_product.id` corresponding to the item_types of PRODUCT, GIFT_WRAPPING. `order_address.id` corresponding to the item_types of SHIPPING, HANDLING. `order.id` corresponding to the item_type of ORDER, FEE.
- `quantity` (integer, optional) — Quantity of item refunded. Note: this will only be populated for item_type PRODUCT.
- `requested_amount` (string, optional, nullable) — A non-negative two decimal place rounded value that represents the amount that can be refunded with the payment provider(s).
- `reason` (string, optional) — Reason for refunding an item.

## Examples

**Response**

```json
{
  "data": {
    "id": 12,
    "order_id": 180,
    "user_id": 0,
    "created": "2022-06-16T16:44:15+00:00",
    "reason": "Customer requires a refund.",
    "total_amount": 50,
    "total_tax": 5,
    "uses_merchant_override_values": false,
    "payments": [
      {
        "id": 13,
        "provider_id": "storecredit",
        "amount": 50,
        "offline": true,
        "is_declined": false,
        "declined_message": ""
      }
    ],
    "items": [
      {
        "item_type": "PRODUCT",
        "item_id": 87,
        "quantity": 1,
        "requested_amount": null
      }
    ]
  },
  "meta": {}
}
```

**SDK Code**

```python Example
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/orders/payment_actions/refunds/1"

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/orders/payment_actions/refunds/1';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/orders/payment_actions/refunds/1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/orders/payment_actions/refunds/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v3/orders/payment_actions/refunds/1")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php Example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v3/orders/payment_actions/refunds/1', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Example
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/orders/payment_actions/refunds/1");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Example
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/orders/payment_actions/refunds/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```